> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/import-dspamscanresult.md).

# Import-DSPamScanResult

### Sintesi

Importa gli account di un risultato di scansione PAM

### Sintassi

#### Reset

```
Import-DSPamScanResult [-ScanResult] <PSScanResult[]> [-Provider] <PamProvider> [-FolderID] <guid>
 [-ResetPasswordOnImport] [-ResetPasswordOnCheckIn] [<CommonParameters>]
```

#### Unmanaged

```
Import-DSPamScanResult [-ScanResult] <PSScanResult[]> [-Provider] <PamProvider> [-FolderID] <guid>
 -Unmanaged [-UnmanagedAction <UnmanagedImportAction>] [<CommonParameters>]
```

### Descrizione

Importa gli account di un risultato di scansione PAM

### Esempi

```powershell
PS C:\> $providerID = 'the-desired-pam-provider-ID'
        $folderID = 'the-desired-pam-vault-or-folder-ID'
        $configuration = Get-DSPamScanConfiguration -LiteralName 'ScanA';
        $toImport = Get-DSPamScanResult -InputObject $configuration -Filter '@domain.net' -ExcludedManaged;
        $providerResult = Get-DSPamProvider
        $provider = $providerResult.Data | Where -Property ID -eq $providerID
        $importResult = Import-DSPamScanResult -ScanResult $toImport -Provider $provider -FolderID $folderID
```

Dal risultato della scansione PAM 'ScanA', importa tutti gli account che hanno '@domain.net' nel nome utente, nome host, nome completo o descrizione nella cartella PAM specificata da $folderID.

### Parametri

#### -FolderID

Cartella PAM

```yaml
Type: System.Guid
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Provider

Provider ottenuto da Get-DSPamProvider

```yaml
Type: Devolutions.Server.Pam.Dto.PamProvider
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ResetPasswordOnCheckIn

Reimposta la password al check-in

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Reset
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ResetPasswordOnImport

Reimposta la password all'importazione

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Reset
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ScanResult

Account PAM rilevati da una scansione PAM. Devono essere dello stesso tipo.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSScanResult.PSScanResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Unmanaged

Imposta gli account come non gestiti

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Unmanaged
  Position: Named
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -UnmanagedAction

Imposta gli account come non gestiti. Per impostare manualmente la password, è necessario modificare direttamente i risultati della scansione. L'azione predefinita è impostare la password manualmente.

```yaml
Type: Devolutions.Server.Managers.Pam.Enums.UnmanagedImportAction
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: Unmanaged
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, consulti [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Note

Per maggiori informazioni, digiti "Get-Help Import-DSPamScanResult -detailed". Per informazioni tecniche, digiti "Get-Help Import-DSPamScanResult -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/import-dspamscanresult.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
